UbuntuUpdates.org

Package "update-manager"

Name: update-manager

Description:

GNOME application that manages apt updates

Latest version: 1:18.04.11.9
Release: bionic (18.04)
Level: updates
Repository: main

Links

Save this URL for the latest version of "update-manager": https://www.ubuntuupdates.org/update-manager


Download "update-manager"


Other versions of "update-manager" in Bionic

Repository Area Version
base main 1:18.04.11

Packages in group

Deleted packages are displayed in grey.


Changelog

Version: 1:18.04.11.9 2019-01-31 10:06:53 UTC

  update-manager (1:18.04.11.9) bionic; urgency=medium

  * UpdateManager/Core/MetaRelease.py: set prompt in MetaReleaseCore so that
    do-release-upgrade can provide more informative error messages.
    (LP: #1798618, LP: #1795024)

 -- Brian Murray <email address hidden> Mon, 14 Jan 2019 13:40:08 -0800

Source diff to previous version
1798618 confusing error message with 'do-release-upgrade -d' and Prompt=lts
1795024 setting release-upgrades Prompt to never can cause confusing behavior

Version: 1:18.04.11.8 2018-12-11 18:07:20 UTC

  update-manager (1:18.04.11.8) bionic; urgency=medium

  * Do not show the livepatch reminder if update-manager is running
    on a distribution without software-properties-gtk. (LP: #1805118)

Source diff to previous version
1805118 /usr/bin/update-manager:AttributeError:\u003clambda\u003e:on_livepatch_status_ready

Version: 1:18.04.11.7 2018-11-20 18:06:56 UTC

  update-manager (1:18.04.11.7) bionic; urgency=medium

  * Add a reminder to enable Livepatch (LP: #1787553).
  * Build-Depends on python3-distro-info.

 -- Andrea Azzarone <email address hidden> Fri, 07 Sep 2018 10:41:28 +0200

Source diff to previous version
1787553 Add a reminder to enable Livepatch

Version: 1:18.04.11.6 2018-10-22 16:06:38 UTC

  update-manager (1:18.04.11.6) bionic; urgency=medium

  * Keep or delete packages after looping over all of them.
    This prevents the resolver from changing the packages in the loop resulting
    in not keeping some phased packages back from being upgraded. (LP: #1072136)
  * Stop lazy import of InstallBackends.
    Lazy imports made update-manager crash when an update-manager
    update changed the backend API and an updated incompatible backend
    was loaded to the not updated running update-manager process. (LP: #1795898)
  * Cancel transaction on exit only when Cancel button is active.
    Also ignore exception when cancellation fails. (LP: #1790670)

 -- Balint Reczey <email address hidden> Thu, 04 Oct 2018 21:33:57 +0200

Source diff to previous version
1072136 [FFe] After doing updates, update manager propose to install an empty list of updates
1795898 TypeError: _action_done() got an unexpected keyword argument 'trans_failed'
1790670 /usr/bin/update-manager:aptdaemon.errors.AptDaemonError(org.debian.apt):_convert_dbus_exception:cancel:__call__:call_blocking:_on_clicked:_deferable:

Version: 1:18.04.11.5 2018-10-01 09:06:41 UTC

  update-manager (1:18.04.11.5) bionic; urgency=medium

  * Print transaction error and let the user try again applying updates
    (LP: #1317164)
  * Don't ask backend to do package operations aready done.
    Aptdaemon cancels the transaction when asked to remove packages already
    removed which results the failure being shown to the user. This
    is unnecessary as update-manager can just filter the package operations to
    be done using a fresh cache and decrease the likelyhood of hitting
    a race condition where packages to be removed are already removed.
    (LP: #1791931)

 -- Balint Reczey <email address hidden> Mon, 17 Sep 2018 17:16:38 +0200

1317164 Show reason of TransactionFailed and let the user try again instead of crashing
1791931 Update-manager crashes in _show_transaction due to packages being already removed



About   -   Send Feedback to @ubuntu_updates